# Uses of Class
org.eclipse.birt.report.model.api.css.CssStyleSheetHandle

Packages that use CssStyleSheetHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.css

## Uses of CssStyleSheetHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return CssStyleSheetHandle
Modifier and Type
Method
Description
`CssStyleSheetHandle`
AbstractThemeHandle.`findCssStyleSheetHandleByName(String fileName)`
Deprecated.
`CssStyleSheetHandle`
AbstractThemeHandle.`findCssStyleSheetHandleByProperties(String fileName, String externalCssURI, boolean useExternalCss)`
Find the css style sheet handle based on properties
`CssStyleSheetHandle`
CssSharedStyleHandle.`getCssStyleSheetHandle()`
Gets css style sheet handle.
`CssStyleSheetHandle`
ModuleHandleImpl.`openCssStyleSheet(InputStream is)`
Gets the result style sheet with given file name of an external CSS2 resource.
`CssStyleSheetHandle`
ModuleHandleImpl.`openCssStyleSheet(String fileName)`
Gets the result style sheet with given file name of an external CSS2 resource.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type CssStyleSheetHandle
Modifier and Type
Method
Description
`List<CssStyleSheetHandle>`
AbstractThemeHandle.`getAllCssStyleSheets()`
Gets all css styles sheet
Methods in org.eclipse.birt.report.model.api with parameters of type CssStyleSheetHandle
Modifier and Type
Method
Description
`void`
AbstractThemeHandle.`addCss(CssStyleSheetHandle sheetHandle)`
(non-Javadoc)
`boolean`
AbstractThemeHandle.`canAddCssStyleSheet(CssStyleSheetHandle sheetHandle)`
Check if the css style sheet can be added based on sheet handle
`boolean`
AbstractThemeHandle.`canDropCssStyleSheet(CssStyleSheetHandle sheetHandle)`
Check if the css style sheet can be dropped based on sheet handle
`void`
AbstractThemeHandle.`dropCss(CssStyleSheetHandle sheetHandle)`
Check if the css style sheet can be dropped based on sheet handle
`void`
LibraryHandleImpl.`importCssStyles(CssStyleSheetHandle stylesheet, List selectedStyles)`
Import css file to theme.
`void`
LibraryHandleImpl.`importCssStyles(CssStyleSheetHandle stylesheet, List selectedStyles, String themeName)`
Imports the selected styles in a `CssStyleSheetHandle` to the given theme of the library.
`void`
ModuleHandleImpl.`importCssStyles(CssStyleSheetHandle stylesheet, List selectedStyles)`
Imports the selected styles in a `CssStyleSheetHandle` to the module.
`void`
ReportItemThemeHandle.`importCssStyles(CssStyleSheetHandle stylesheet, List<SharedStyleHandle> selectedStyles)`
Imports the selected styles in a `CssStyleSheetHandle` to the given theme of the library.
`void`
AbstractThemeHandle.`reloadCss(CssStyleSheetHandle sheetHandle)`
Reload the css style

## Uses of CssStyleSheetHandle in org.eclipse.birt.report.model.api.css

Constructors in org.eclipse.birt.report.model.api.css with parameters of type CssStyleSheetHandle
Modifier
Constructor
Description
``
`StyleIterator(CssStyleSheetHandle styleSheet)`
Constructs a iterator to return the styles of the given style sheet.